import { Axios, AxiosPromise } from "axios";
import request from "../request";
import { openApiRes } from "./type";
export default {
    openApiGanZhiList(params:{
        color?:string
        five?:string
        name:string

    }):AxiosPromise<openApiRes.openApiGanZhiGet8ziByDate>{
        return request({
            params,
            method: 'GET',
            url: "/open-api/gan/zhi/list",
           
        })
    },
    openApiGanZhiGet8ziByDate(params:{
        birthDay:string,
        isSave:number,
        sex:number,
        username:string
      

    }):AxiosPromise<openApiRes.openApiGanZhiGet8ziByDate>{
        return request({
            params,
            method: 'GET',
            url: "/open-api/gan/zhi/get8ziByDate",
          
        })
    }
}